%define anolis_release 1

%global sover 0.7

Name:           yaml-cpp
Version:        0.7.0
Release:        %{anolis_release}%{?dist}

License:        MIT
Summary:        A YAML parser and emitter for C++
URL:            https://github.com/jbeder/yaml-cpp
Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

# CMake fixes from 0e6e28d1a38224fc8172fae0109ea7f673c096db commit
Patch100:       yaml-cpp-cmake.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       libstdc++-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Static library for %{name}
Requires:       %{name}-devel = %{?epoch:%{epoch}:}%{version}-%{release}

%description    static
The %{name}-static package contains the static library for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

%build
%cmake -B build_static \
    -DCMAKE_BUILD_TYPE=Release \
    -DYAML_CPP_BUILD_TOOLS:BOOL=OFF \
    -DYAML_CPP_FORMAT_SOURCE:BOOL=OFF \
    -DYAML_CPP_INSTALL:BOOL=ON \
    -DYAML_BUILD_SHARED_LIBS:BOOL=OFF \
    -DYAML_CPP_BUILD_TESTS:BOOL=OFF
%make_build -C build_static

%cmake -B build_shared \
    -DCMAKE_BUILD_TYPE=Release \
    -DYAML_CPP_BUILD_TOOLS:BOOL=OFF \
    -DYAML_CPP_FORMAT_SOURCE:BOOL=OFF \
    -DYAML_CPP_INSTALL:BOOL=ON \
    -DYAML_BUILD_SHARED_LIBS:BOOL=ON \
    -DYAML_CPP_BUILD_TESTS:BOOL=OFF
%make_build -C build_shared

%install
%make_install -C build_static yaml-cpp

# Move files so they don't get trampled
mv %{buildroot}%{_libdir}/cmake/%{name} \
    %{buildroot}%{_libdir}/cmake/%{name}-static
mv %{buildroot}%{_libdir}/pkgconfig/%{name}.pc \
    %{buildroot}%{_libdir}/pkgconfig/%{name}-static.pc

%make_install -C build_shared

%files
%doc CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/lib%{name}*.so.%{sover}*

%files devel
%{_includedir}/yaml-cpp/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files static
%license LICENSE
%{_libdir}/lib%{name}.a
%{_libdir}/cmake/%{name}-static
%{_libdir}/pkgconfig/%{name}-static.pc

%changelog
* Fri Jul 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-1
- Init upstream from version 0.7.0
